IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network0.30.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
0.30.0.0- Broadcast address
0.31.255.255- First usable
0.30.0.1- Last usable
0.31.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings - Old class
- A (default /8)
- As numbers
- Hex
001E0000· Integer1966080to2097151 - Reverse DNS zones
30.0.in-addr.arpa31.0.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000000.00011110.00000000.00000000 | 0.30.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 00000000.00011110.00000000.00000000 | 0.30.0.0 |
| Broadcast | 00000000.00011111.11111111.11111111 | 0.31.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
0.30.0.0/15 makes 512 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 0.30.0.0/24 | 0.30.0.1 to 0.30.0.254 | 0.30.0.255 | 254 |
| 2 | 0.30.1.0/24 | 0.30.1.1 to 0.30.1.254 | 0.30.1.255 | 254 |
| 3 | 0.30.2.0/24 | 0.30.2.1 to 0.30.2.254 | 0.30.2.255 | 254 |
| 4 | 0.30.3.0/24 | 0.30.3.1 to 0.30.3.254 | 0.30.3.255 | 254 |
| 5 | 0.30.4.0/24 | 0.30.4.1 to 0.30.4.254 | 0.30.4.255 | 254 |
| 6 | 0.30.5.0/24 | 0.30.5.1 to 0.30.5.254 | 0.30.5.255 | 254 |
| 7 | 0.30.6.0/24 | 0.30.6.1 to 0.30.6.254 | 0.30.6.255 | 254 |
| 8 | 0.30.7.0/24 | 0.30.7.1 to 0.30.7.254 | 0.30.7.255 | 254 |
| 9 | 0.30.8.0/24 | 0.30.8.1 to 0.30.8.254 | 0.30.8.255 | 254 |
| 10 | 0.30.9.0/24 | 0.30.9.1 to 0.30.9.254 | 0.30.9.255 | 254 |
| 11 | 0.30.10.0/24 | 0.30.10.1 to 0.30.10.254 | 0.30.10.255 | 254 |
| 12 | 0.30.11.0/24 | 0.30.11.1 to 0.30.11.254 | 0.30.11.255 | 254 |
| 13 | 0.30.12.0/24 | 0.30.12.1 to 0.30.12.254 | 0.30.12.255 | 254 |
| 14 | 0.30.13.0/24 | 0.30.13.1 to 0.30.13.254 | 0.30.13.255 | 254 |
| 15 | 0.30.14.0/24 | 0.30.14.1 to 0.30.14.254 | 0.30.14.255 | 254 |
| 16 | 0.30.15.0/24 | 0.30.15.1 to 0.30.15.254 | 0.30.15.255 | 254 |
| 17 | 0.30.16.0/24 | 0.30.16.1 to 0.30.16.254 | 0.30.16.255 | 254 |
| 18 | 0.30.17.0/24 | 0.30.17.1 to 0.30.17.254 | 0.30.17.255 | 254 |
| 19 | 0.30.18.0/24 | 0.30.18.1 to 0.30.18.254 | 0.30.18.255 | 254 |
| 20 | 0.30.19.0/24 | 0.30.19.1 to 0.30.19.254 | 0.30.19.255 | 254 |
| 21 | 0.30.20.0/24 | 0.30.20.1 to 0.30.20.254 | 0.30.20.255 | 254 |
| 22 | 0.30.21.0/24 | 0.30.21.1 to 0.30.21.254 | 0.30.21.255 | 254 |
| 23 | 0.30.22.0/24 | 0.30.22.1 to 0.30.22.254 | 0.30.22.255 | 254 |
| 24 | 0.30.23.0/24 | 0.30.23.1 to 0.30.23.254 | 0.30.23.255 | 254 |
| 25 | 0.30.24.0/24 | 0.30.24.1 to 0.30.24.254 | 0.30.24.255 | 254 |
| 26 | 0.30.25.0/24 | 0.30.25.1 to 0.30.25.254 | 0.30.25.255 | 254 |
| 27 | 0.30.26.0/24 | 0.30.26.1 to 0.30.26.254 | 0.30.26.255 | 254 |
| 28 | 0.30.27.0/24 | 0.30.27.1 to 0.30.27.254 | 0.30.27.255 | 254 |
| 29 | 0.30.28.0/24 | 0.30.28.1 to 0.30.28.254 | 0.30.28.255 | 254 |
| 30 | 0.30.29.0/24 | 0.30.29.1 to 0.30.29.254 | 0.30.29.255 | 254 |
| 31 | 0.30.30.0/24 | 0.30.30.1 to 0.30.30.254 | 0.30.30.255 | 254 |
| 32 | 0.30.31.0/24 | 0.30.31.1 to 0.30.31.254 | 0.30.31.255 | 254 |
| 33 | 0.30.32.0/24 | 0.30.32.1 to 0.30.32.254 | 0.30.32.255 | 254 |
| 34 | 0.30.33.0/24 | 0.30.33.1 to 0.30.33.254 | 0.30.33.255 | 254 |
| 35 | 0.30.34.0/24 | 0.30.34.1 to 0.30.34.254 | 0.30.34.255 | 254 |
| 36 | 0.30.35.0/24 | 0.30.35.1 to 0.30.35.254 | 0.30.35.255 | 254 |
| 37 | 0.30.36.0/24 | 0.30.36.1 to 0.30.36.254 | 0.30.36.255 | 254 |
| 38 | 0.30.37.0/24 | 0.30.37.1 to 0.30.37.254 | 0.30.37.255 | 254 |
| 39 | 0.30.38.0/24 | 0.30.38.1 to 0.30.38.254 | 0.30.38.255 | 254 |
| 40 | 0.30.39.0/24 | 0.30.39.1 to 0.30.39.254 | 0.30.39.255 | 254 |
| 41 | 0.30.40.0/24 | 0.30.40.1 to 0.30.40.254 | 0.30.40.255 | 254 |
| 42 | 0.30.41.0/24 | 0.30.41.1 to 0.30.41.254 | 0.30.41.255 | 254 |
| 43 | 0.30.42.0/24 | 0.30.42.1 to 0.30.42.254 | 0.30.42.255 | 254 |
| 44 | 0.30.43.0/24 | 0.30.43.1 to 0.30.43.254 | 0.30.43.255 | 254 |
| 45 | 0.30.44.0/24 | 0.30.44.1 to 0.30.44.254 | 0.30.44.255 | 254 |
| 46 | 0.30.45.0/24 | 0.30.45.1 to 0.30.45.254 | 0.30.45.255 | 254 |
| 47 | 0.30.46.0/24 | 0.30.46.1 to 0.30.46.254 | 0.30.46.255 | 254 |
| 48 | 0.30.47.0/24 | 0.30.47.1 to 0.30.47.254 | 0.30.47.255 | 254 |
| 49 | 0.30.48.0/24 | 0.30.48.1 to 0.30.48.254 | 0.30.48.255 | 254 |
| 50 | 0.30.49.0/24 | 0.30.49.1 to 0.30.49.254 | 0.30.49.255 | 254 |
| 51 | 0.30.50.0/24 | 0.30.50.1 to 0.30.50.254 | 0.30.50.255 | 254 |
| 52 | 0.30.51.0/24 | 0.30.51.1 to 0.30.51.254 | 0.30.51.255 | 254 |
| 53 | 0.30.52.0/24 | 0.30.52.1 to 0.30.52.254 | 0.30.52.255 | 254 |
| 54 | 0.30.53.0/24 | 0.30.53.1 to 0.30.53.254 | 0.30.53.255 | 254 |
| 55 | 0.30.54.0/24 | 0.30.54.1 to 0.30.54.254 | 0.30.54.255 | 254 |
| 56 | 0.30.55.0/24 | 0.30.55.1 to 0.30.55.254 | 0.30.55.255 | 254 |
| 57 | 0.30.56.0/24 | 0.30.56.1 to 0.30.56.254 | 0.30.56.255 | 254 |
| 58 | 0.30.57.0/24 | 0.30.57.1 to 0.30.57.254 | 0.30.57.255 | 254 |
| 59 | 0.30.58.0/24 | 0.30.58.1 to 0.30.58.254 | 0.30.58.255 | 254 |
| 60 | 0.30.59.0/24 | 0.30.59.1 to 0.30.59.254 | 0.30.59.255 | 254 |
| 61 | 0.30.60.0/24 | 0.30.60.1 to 0.30.60.254 | 0.30.60.255 | 254 |
| 62 | 0.30.61.0/24 | 0.30.61.1 to 0.30.61.254 | 0.30.61.255 | 254 |
| 63 | 0.30.62.0/24 | 0.30.62.1 to 0.30.62.254 | 0.30.62.255 | 254 |
| 64 | 0.30.63.0/24 | 0.30.63.1 to 0.30.63.254 | 0.30.63.255 | 254 |
| 65 | 0.30.64.0/24 | 0.30.64.1 to 0.30.64.254 | 0.30.64.255 | 254 |
| 66 | 0.30.65.0/24 | 0.30.65.1 to 0.30.65.254 | 0.30.65.255 | 254 |
| 67 | 0.30.66.0/24 | 0.30.66.1 to 0.30.66.254 | 0.30.66.255 | 254 |
| 68 | 0.30.67.0/24 | 0.30.67.1 to 0.30.67.254 | 0.30.67.255 | 254 |
| 69 | 0.30.68.0/24 | 0.30.68.1 to 0.30.68.254 | 0.30.68.255 | 254 |
| 70 | 0.30.69.0/24 | 0.30.69.1 to 0.30.69.254 | 0.30.69.255 | 254 |
| 71 | 0.30.70.0/24 | 0.30.70.1 to 0.30.70.254 | 0.30.70.255 | 254 |
| 72 | 0.30.71.0/24 | 0.30.71.1 to 0.30.71.254 | 0.30.71.255 | 254 |
| 73 | 0.30.72.0/24 | 0.30.72.1 to 0.30.72.254 | 0.30.72.255 | 254 |
| 74 | 0.30.73.0/24 | 0.30.73.1 to 0.30.73.254 | 0.30.73.255 | 254 |
| 75 | 0.30.74.0/24 | 0.30.74.1 to 0.30.74.254 | 0.30.74.255 | 254 |
| 76 | 0.30.75.0/24 | 0.30.75.1 to 0.30.75.254 | 0.30.75.255 | 254 |
| 77 | 0.30.76.0/24 | 0.30.76.1 to 0.30.76.254 | 0.30.76.255 | 254 |
| 78 | 0.30.77.0/24 | 0.30.77.1 to 0.30.77.254 | 0.30.77.255 | 254 |
| 79 | 0.30.78.0/24 | 0.30.78.1 to 0.30.78.254 | 0.30.78.255 | 254 |
| 80 | 0.30.79.0/24 | 0.30.79.1 to 0.30.79.254 | 0.30.79.255 | 254 |
| 81 | 0.30.80.0/24 | 0.30.80.1 to 0.30.80.254 | 0.30.80.255 | 254 |
| 82 | 0.30.81.0/24 | 0.30.81.1 to 0.30.81.254 | 0.30.81.255 | 254 |
| 83 | 0.30.82.0/24 | 0.30.82.1 to 0.30.82.254 | 0.30.82.255 | 254 |
| 84 | 0.30.83.0/24 | 0.30.83.1 to 0.30.83.254 | 0.30.83.255 | 254 |
| 85 | 0.30.84.0/24 | 0.30.84.1 to 0.30.84.254 | 0.30.84.255 | 254 |
| 86 | 0.30.85.0/24 | 0.30.85.1 to 0.30.85.254 | 0.30.85.255 | 254 |
| 87 | 0.30.86.0/24 | 0.30.86.1 to 0.30.86.254 | 0.30.86.255 | 254 |
| 88 | 0.30.87.0/24 | 0.30.87.1 to 0.30.87.254 | 0.30.87.255 | 254 |
| 89 | 0.30.88.0/24 | 0.30.88.1 to 0.30.88.254 | 0.30.88.255 | 254 |
| 90 | 0.30.89.0/24 | 0.30.89.1 to 0.30.89.254 | 0.30.89.255 | 254 |
| 91 | 0.30.90.0/24 | 0.30.90.1 to 0.30.90.254 | 0.30.90.255 | 254 |
| 92 | 0.30.91.0/24 | 0.30.91.1 to 0.30.91.254 | 0.30.91.255 | 254 |
| 93 | 0.30.92.0/24 | 0.30.92.1 to 0.30.92.254 | 0.30.92.255 | 254 |
| 94 | 0.30.93.0/24 | 0.30.93.1 to 0.30.93.254 | 0.30.93.255 | 254 |
| 95 | 0.30.94.0/24 | 0.30.94.1 to 0.30.94.254 | 0.30.94.255 | 254 |
| 96 | 0.30.95.0/24 | 0.30.95.1 to 0.30.95.254 | 0.30.95.255 | 254 |
| 97 | 0.30.96.0/24 | 0.30.96.1 to 0.30.96.254 | 0.30.96.255 | 254 |
| 98 | 0.30.97.0/24 | 0.30.97.1 to 0.30.97.254 | 0.30.97.255 | 254 |
| 99 | 0.30.98.0/24 | 0.30.98.1 to 0.30.98.254 | 0.30.98.255 | 254 |
| 100 | 0.30.99.0/24 | 0.30.99.1 to 0.30.99.254 | 0.30.99.255 | 254 |
| 101 | 0.30.100.0/24 | 0.30.100.1 to 0.30.100.254 | 0.30.100.255 | 254 |
| 102 | 0.30.101.0/24 | 0.30.101.1 to 0.30.101.254 | 0.30.101.255 | 254 |
| 103 | 0.30.102.0/24 | 0.30.102.1 to 0.30.102.254 | 0.30.102.255 | 254 |
| 104 | 0.30.103.0/24 | 0.30.103.1 to 0.30.103.254 | 0.30.103.255 | 254 |
| 105 | 0.30.104.0/24 | 0.30.104.1 to 0.30.104.254 | 0.30.104.255 | 254 |
| 106 | 0.30.105.0/24 | 0.30.105.1 to 0.30.105.254 | 0.30.105.255 | 254 |
| 107 | 0.30.106.0/24 | 0.30.106.1 to 0.30.106.254 | 0.30.106.255 | 254 |
| 108 | 0.30.107.0/24 | 0.30.107.1 to 0.30.107.254 | 0.30.107.255 | 254 |
| 109 | 0.30.108.0/24 | 0.30.108.1 to 0.30.108.254 | 0.30.108.255 | 254 |
| 110 | 0.30.109.0/24 | 0.30.109.1 to 0.30.109.254 | 0.30.109.255 | 254 |
| 111 | 0.30.110.0/24 | 0.30.110.1 to 0.30.110.254 | 0.30.110.255 | 254 |
| 112 | 0.30.111.0/24 | 0.30.111.1 to 0.30.111.254 | 0.30.111.255 | 254 |
| 113 | 0.30.112.0/24 | 0.30.112.1 to 0.30.112.254 | 0.30.112.255 | 254 |
| 114 | 0.30.113.0/24 | 0.30.113.1 to 0.30.113.254 | 0.30.113.255 | 254 |
| 115 | 0.30.114.0/24 | 0.30.114.1 to 0.30.114.254 | 0.30.114.255 | 254 |
| 116 | 0.30.115.0/24 | 0.30.115.1 to 0.30.115.254 | 0.30.115.255 | 254 |
| 117 | 0.30.116.0/24 | 0.30.116.1 to 0.30.116.254 | 0.30.116.255 | 254 |
| 118 | 0.30.117.0/24 | 0.30.117.1 to 0.30.117.254 | 0.30.117.255 | 254 |
| 119 | 0.30.118.0/24 | 0.30.118.1 to 0.30.118.254 | 0.30.118.255 | 254 |
| 120 | 0.30.119.0/24 | 0.30.119.1 to 0.30.119.254 | 0.30.119.255 | 254 |
| 121 | 0.30.120.0/24 | 0.30.120.1 to 0.30.120.254 | 0.30.120.255 | 254 |
| 122 | 0.30.121.0/24 | 0.30.121.1 to 0.30.121.254 | 0.30.121.255 | 254 |
| 123 | 0.30.122.0/24 | 0.30.122.1 to 0.30.122.254 | 0.30.122.255 | 254 |
| 124 | 0.30.123.0/24 | 0.30.123.1 to 0.30.123.254 | 0.30.123.255 | 254 |
| 125 | 0.30.124.0/24 | 0.30.124.1 to 0.30.124.254 | 0.30.124.255 | 254 |
| 126 | 0.30.125.0/24 | 0.30.125.1 to 0.30.125.254 | 0.30.125.255 | 254 |
| 127 | 0.30.126.0/24 | 0.30.126.1 to 0.30.126.254 | 0.30.126.255 | 254 |
| 128 | 0.30.127.0/24 | 0.30.127.1 to 0.30.127.254 | 0.30.127.255 | 254 |
| 129 | 0.30.128.0/24 | 0.30.128.1 to 0.30.128.254 | 0.30.128.255 | 254 |
| 130 | 0.30.129.0/24 | 0.30.129.1 to 0.30.129.254 | 0.30.129.255 | 254 |
| 131 | 0.30.130.0/24 | 0.30.130.1 to 0.30.130.254 | 0.30.130.255 | 254 |
| 132 | 0.30.131.0/24 | 0.30.131.1 to 0.30.131.254 | 0.30.131.255 | 254 |
| 133 | 0.30.132.0/24 | 0.30.132.1 to 0.30.132.254 | 0.30.132.255 | 254 |
| 134 | 0.30.133.0/24 | 0.30.133.1 to 0.30.133.254 | 0.30.133.255 | 254 |
| 135 | 0.30.134.0/24 | 0.30.134.1 to 0.30.134.254 | 0.30.134.255 | 254 |
| 136 | 0.30.135.0/24 | 0.30.135.1 to 0.30.135.254 | 0.30.135.255 | 254 |
| 137 | 0.30.136.0/24 | 0.30.136.1 to 0.30.136.254 | 0.30.136.255 | 254 |
| 138 | 0.30.137.0/24 | 0.30.137.1 to 0.30.137.254 | 0.30.137.255 | 254 |
| 139 | 0.30.138.0/24 | 0.30.138.1 to 0.30.138.254 | 0.30.138.255 | 254 |
| 140 | 0.30.139.0/24 | 0.30.139.1 to 0.30.139.254 | 0.30.139.255 | 254 |
| 141 | 0.30.140.0/24 | 0.30.140.1 to 0.30.140.254 | 0.30.140.255 | 254 |
| 142 | 0.30.141.0/24 | 0.30.141.1 to 0.30.141.254 | 0.30.141.255 | 254 |
| 143 | 0.30.142.0/24 | 0.30.142.1 to 0.30.142.254 | 0.30.142.255 | 254 |
| 144 | 0.30.143.0/24 | 0.30.143.1 to 0.30.143.254 | 0.30.143.255 | 254 |
| 145 | 0.30.144.0/24 | 0.30.144.1 to 0.30.144.254 | 0.30.144.255 | 254 |
| 146 | 0.30.145.0/24 | 0.30.145.1 to 0.30.145.254 | 0.30.145.255 | 254 |
| 147 | 0.30.146.0/24 | 0.30.146.1 to 0.30.146.254 | 0.30.146.255 | 254 |
| 148 | 0.30.147.0/24 | 0.30.147.1 to 0.30.147.254 | 0.30.147.255 | 254 |
| 149 | 0.30.148.0/24 | 0.30.148.1 to 0.30.148.254 | 0.30.148.255 | 254 |
| 150 | 0.30.149.0/24 | 0.30.149.1 to 0.30.149.254 | 0.30.149.255 | 254 |
| 151 | 0.30.150.0/24 | 0.30.150.1 to 0.30.150.254 | 0.30.150.255 | 254 |
| 152 | 0.30.151.0/24 | 0.30.151.1 to 0.30.151.254 | 0.30.151.255 | 254 |
| 153 | 0.30.152.0/24 | 0.30.152.1 to 0.30.152.254 | 0.30.152.255 | 254 |
| 154 | 0.30.153.0/24 | 0.30.153.1 to 0.30.153.254 | 0.30.153.255 | 254 |
| 155 | 0.30.154.0/24 | 0.30.154.1 to 0.30.154.254 | 0.30.154.255 | 254 |
| 156 | 0.30.155.0/24 | 0.30.155.1 to 0.30.155.254 | 0.30.155.255 | 254 |
| 157 | 0.30.156.0/24 | 0.30.156.1 to 0.30.156.254 | 0.30.156.255 | 254 |
| 158 | 0.30.157.0/24 | 0.30.157.1 to 0.30.157.254 | 0.30.157.255 | 254 |
| 159 | 0.30.158.0/24 | 0.30.158.1 to 0.30.158.254 | 0.30.158.255 | 254 |
| 160 | 0.30.159.0/24 | 0.30.159.1 to 0.30.159.254 | 0.30.159.255 | 254 |
| 161 | 0.30.160.0/24 | 0.30.160.1 to 0.30.160.254 | 0.30.160.255 | 254 |
| 162 | 0.30.161.0/24 | 0.30.161.1 to 0.30.161.254 | 0.30.161.255 | 254 |
| 163 | 0.30.162.0/24 | 0.30.162.1 to 0.30.162.254 | 0.30.162.255 | 254 |
| 164 | 0.30.163.0/24 | 0.30.163.1 to 0.30.163.254 | 0.30.163.255 | 254 |
| 165 | 0.30.164.0/24 | 0.30.164.1 to 0.30.164.254 | 0.30.164.255 | 254 |
| 166 | 0.30.165.0/24 | 0.30.165.1 to 0.30.165.254 | 0.30.165.255 | 254 |
| 167 | 0.30.166.0/24 | 0.30.166.1 to 0.30.166.254 | 0.30.166.255 | 254 |
| 168 | 0.30.167.0/24 | 0.30.167.1 to 0.30.167.254 | 0.30.167.255 | 254 |
| 169 | 0.30.168.0/24 | 0.30.168.1 to 0.30.168.254 | 0.30.168.255 | 254 |
| 170 | 0.30.169.0/24 | 0.30.169.1 to 0.30.169.254 | 0.30.169.255 | 254 |
| 171 | 0.30.170.0/24 | 0.30.170.1 to 0.30.170.254 | 0.30.170.255 | 254 |
| 172 | 0.30.171.0/24 | 0.30.171.1 to 0.30.171.254 | 0.30.171.255 | 254 |
| 173 | 0.30.172.0/24 | 0.30.172.1 to 0.30.172.254 | 0.30.172.255 | 254 |
| 174 | 0.30.173.0/24 | 0.30.173.1 to 0.30.173.254 | 0.30.173.255 | 254 |
| 175 | 0.30.174.0/24 | 0.30.174.1 to 0.30.174.254 | 0.30.174.255 | 254 |
| 176 | 0.30.175.0/24 | 0.30.175.1 to 0.30.175.254 | 0.30.175.255 | 254 |
| 177 | 0.30.176.0/24 | 0.30.176.1 to 0.30.176.254 | 0.30.176.255 | 254 |
| 178 | 0.30.177.0/24 | 0.30.177.1 to 0.30.177.254 | 0.30.177.255 | 254 |
| 179 | 0.30.178.0/24 | 0.30.178.1 to 0.30.178.254 | 0.30.178.255 | 254 |
| 180 | 0.30.179.0/24 | 0.30.179.1 to 0.30.179.254 | 0.30.179.255 | 254 |
| 181 | 0.30.180.0/24 | 0.30.180.1 to 0.30.180.254 | 0.30.180.255 | 254 |
| 182 | 0.30.181.0/24 | 0.30.181.1 to 0.30.181.254 | 0.30.181.255 | 254 |
| 183 | 0.30.182.0/24 | 0.30.182.1 to 0.30.182.254 | 0.30.182.255 | 254 |
| 184 | 0.30.183.0/24 | 0.30.183.1 to 0.30.183.254 | 0.30.183.255 | 254 |
| 185 | 0.30.184.0/24 | 0.30.184.1 to 0.30.184.254 | 0.30.184.255 | 254 |
| 186 | 0.30.185.0/24 | 0.30.185.1 to 0.30.185.254 | 0.30.185.255 | 254 |
| 187 | 0.30.186.0/24 | 0.30.186.1 to 0.30.186.254 | 0.30.186.255 | 254 |
| 188 | 0.30.187.0/24 | 0.30.187.1 to 0.30.187.254 | 0.30.187.255 | 254 |
| 189 | 0.30.188.0/24 | 0.30.188.1 to 0.30.188.254 | 0.30.188.255 | 254 |
| 190 | 0.30.189.0/24 | 0.30.189.1 to 0.30.189.254 | 0.30.189.255 | 254 |
| 191 | 0.30.190.0/24 | 0.30.190.1 to 0.30.190.254 | 0.30.190.255 | 254 |
| 192 | 0.30.191.0/24 | 0.30.191.1 to 0.30.191.254 | 0.30.191.255 | 254 |
| 193 | 0.30.192.0/24 | 0.30.192.1 to 0.30.192.254 | 0.30.192.255 | 254 |
| 194 | 0.30.193.0/24 | 0.30.193.1 to 0.30.193.254 | 0.30.193.255 | 254 |
| 195 | 0.30.194.0/24 | 0.30.194.1 to 0.30.194.254 | 0.30.194.255 | 254 |
| 196 | 0.30.195.0/24 | 0.30.195.1 to 0.30.195.254 | 0.30.195.255 | 254 |
| 197 | 0.30.196.0/24 | 0.30.196.1 to 0.30.196.254 | 0.30.196.255 | 254 |
| 198 | 0.30.197.0/24 | 0.30.197.1 to 0.30.197.254 | 0.30.197.255 | 254 |
| 199 | 0.30.198.0/24 | 0.30.198.1 to 0.30.198.254 | 0.30.198.255 | 254 |
| 200 | 0.30.199.0/24 | 0.30.199.1 to 0.30.199.254 | 0.30.199.255 | 254 |
| 201 | 0.30.200.0/24 | 0.30.200.1 to 0.30.200.254 | 0.30.200.255 | 254 |
| 202 | 0.30.201.0/24 | 0.30.201.1 to 0.30.201.254 | 0.30.201.255 | 254 |
| 203 | 0.30.202.0/24 | 0.30.202.1 to 0.30.202.254 | 0.30.202.255 | 254 |
| 204 | 0.30.203.0/24 | 0.30.203.1 to 0.30.203.254 | 0.30.203.255 | 254 |
| 205 | 0.30.204.0/24 | 0.30.204.1 to 0.30.204.254 | 0.30.204.255 | 254 |
| 206 | 0.30.205.0/24 | 0.30.205.1 to 0.30.205.254 | 0.30.205.255 | 254 |
| 207 | 0.30.206.0/24 | 0.30.206.1 to 0.30.206.254 | 0.30.206.255 | 254 |
| 208 | 0.30.207.0/24 | 0.30.207.1 to 0.30.207.254 | 0.30.207.255 | 254 |
| 209 | 0.30.208.0/24 | 0.30.208.1 to 0.30.208.254 | 0.30.208.255 | 254 |
| 210 | 0.30.209.0/24 | 0.30.209.1 to 0.30.209.254 | 0.30.209.255 | 254 |
| 211 | 0.30.210.0/24 | 0.30.210.1 to 0.30.210.254 | 0.30.210.255 | 254 |
| 212 | 0.30.211.0/24 | 0.30.211.1 to 0.30.211.254 | 0.30.211.255 | 254 |
| 213 | 0.30.212.0/24 | 0.30.212.1 to 0.30.212.254 | 0.30.212.255 | 254 |
| 214 | 0.30.213.0/24 | 0.30.213.1 to 0.30.213.254 | 0.30.213.255 | 254 |
| 215 | 0.30.214.0/24 | 0.30.214.1 to 0.30.214.254 | 0.30.214.255 | 254 |
| 216 | 0.30.215.0/24 | 0.30.215.1 to 0.30.215.254 | 0.30.215.255 | 254 |
| 217 | 0.30.216.0/24 | 0.30.216.1 to 0.30.216.254 | 0.30.216.255 | 254 |
| 218 | 0.30.217.0/24 | 0.30.217.1 to 0.30.217.254 | 0.30.217.255 | 254 |
| 219 | 0.30.218.0/24 | 0.30.218.1 to 0.30.218.254 | 0.30.218.255 | 254 |
| 220 | 0.30.219.0/24 | 0.30.219.1 to 0.30.219.254 | 0.30.219.255 | 254 |
| 221 | 0.30.220.0/24 | 0.30.220.1 to 0.30.220.254 | 0.30.220.255 | 254 |
| 222 | 0.30.221.0/24 | 0.30.221.1 to 0.30.221.254 | 0.30.221.255 | 254 |
| 223 | 0.30.222.0/24 | 0.30.222.1 to 0.30.222.254 | 0.30.222.255 | 254 |
| 224 | 0.30.223.0/24 | 0.30.223.1 to 0.30.223.254 | 0.30.223.255 | 254 |
| 225 | 0.30.224.0/24 | 0.30.224.1 to 0.30.224.254 | 0.30.224.255 | 254 |
| 226 | 0.30.225.0/24 | 0.30.225.1 to 0.30.225.254 | 0.30.225.255 | 254 |
| 227 | 0.30.226.0/24 | 0.30.226.1 to 0.30.226.254 | 0.30.226.255 | 254 |
| 228 | 0.30.227.0/24 | 0.30.227.1 to 0.30.227.254 | 0.30.227.255 | 254 |
| 229 | 0.30.228.0/24 | 0.30.228.1 to 0.30.228.254 | 0.30.228.255 | 254 |
| 230 | 0.30.229.0/24 | 0.30.229.1 to 0.30.229.254 | 0.30.229.255 | 254 |
| 231 | 0.30.230.0/24 | 0.30.230.1 to 0.30.230.254 | 0.30.230.255 | 254 |
| 232 | 0.30.231.0/24 | 0.30.231.1 to 0.30.231.254 | 0.30.231.255 | 254 |
| 233 | 0.30.232.0/24 | 0.30.232.1 to 0.30.232.254 | 0.30.232.255 | 254 |
| 234 | 0.30.233.0/24 | 0.30.233.1 to 0.30.233.254 | 0.30.233.255 | 254 |
| 235 | 0.30.234.0/24 | 0.30.234.1 to 0.30.234.254 | 0.30.234.255 | 254 |
| 236 | 0.30.235.0/24 | 0.30.235.1 to 0.30.235.254 | 0.30.235.255 | 254 |
| 237 | 0.30.236.0/24 | 0.30.236.1 to 0.30.236.254 | 0.30.236.255 | 254 |
| 238 | 0.30.237.0/24 | 0.30.237.1 to 0.30.237.254 | 0.30.237.255 | 254 |
| 239 | 0.30.238.0/24 | 0.30.238.1 to 0.30.238.254 | 0.30.238.255 | 254 |
| 240 | 0.30.239.0/24 | 0.30.239.1 to 0.30.239.254 | 0.30.239.255 | 254 |
| 241 | 0.30.240.0/24 | 0.30.240.1 to 0.30.240.254 | 0.30.240.255 | 254 |
| 242 | 0.30.241.0/24 | 0.30.241.1 to 0.30.241.254 | 0.30.241.255 | 254 |
| 243 | 0.30.242.0/24 | 0.30.242.1 to 0.30.242.254 | 0.30.242.255 | 254 |
| 244 | 0.30.243.0/24 | 0.30.243.1 to 0.30.243.254 | 0.30.243.255 | 254 |
| 245 | 0.30.244.0/24 | 0.30.244.1 to 0.30.244.254 | 0.30.244.255 | 254 |
| 246 | 0.30.245.0/24 | 0.30.245.1 to 0.30.245.254 | 0.30.245.255 | 254 |
| 247 | 0.30.246.0/24 | 0.30.246.1 to 0.30.246.254 | 0.30.246.255 | 254 |
| 248 | 0.30.247.0/24 | 0.30.247.1 to 0.30.247.254 | 0.30.247.255 | 254 |
| 249 | 0.30.248.0/24 | 0.30.248.1 to 0.30.248.254 | 0.30.248.255 | 254 |
| 250 | 0.30.249.0/24 | 0.30.249.1 to 0.30.249.254 | 0.30.249.255 | 254 |
| 251 | 0.30.250.0/24 | 0.30.250.1 to 0.30.250.254 | 0.30.250.255 | 254 |
| 252 | 0.30.251.0/24 | 0.30.251.1 to 0.30.251.254 | 0.30.251.255 | 254 |
| 253 | 0.30.252.0/24 | 0.30.252.1 to 0.30.252.254 | 0.30.252.255 | 254 |
| 254 | 0.30.253.0/24 | 0.30.253.1 to 0.30.253.254 | 0.30.253.255 | 254 |
| 255 | 0.30.254.0/24 | 0.30.254.1 to 0.30.254.254 | 0.30.254.255 | 254 |
| 256 | 0.30.255.0/24 | 0.30.255.1 to 0.30.255.254 | 0.30.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |